Skip to content

Markets

Operations related to get market availability and different options based on usage

Get market codes list

Request

The endpoint retrieves the list of market codes available for alphanumeric registration. Market code is an optional query param, if used, the response will contain a list with the same market code if it is available; the list will be empty if it is not.

Security
OAuth2(Required scopes: read)
Path
projectIdstringrequired

Customer's project id

Query
marketCodestring^[A-Z]{2}$

Filter by ISO market code (ex. 'IT', 'AU', 'KW', etc.)

Example:marketCode=MK
languagestring^[a-z]{2}$

Language used to print country names. Default: en

Example:language=es
registrationTypestring, (enum)

Type of Sender ID to be registered. Options: ALPHANUMERIC_SENDER_ID for alpha registration, LONG_NUMBER for long number sms services registration, SHORT_CODE for short code sms services registration, RCS_AGENT for RCS agent

Default:"ALPHANUMERIC_SENDER_ID"
Enum ValueDescription
ALPHANUMERIC_SENDER_ID

Alpha sender IDs

LONG_NUMBER

Long Numbers for SMS

SHORT_CODE

Short Codes for SMS

RCS_AGENT

RCS agent

curl -i -X GET \
  'https://senderid.registrations.api.sinch.com/v1/projects/{projectId}/markets/availability?marketCode=MK&language=es&registrationType=ALPHANUMERIC_SENDER_ID' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
marketsArray of objects(MarketDescription)

List of countries that matches with the request criteria.

Response
{ "markets": [ { … } ] }
We'd love to hear from you!
Rate this content: